Skip to main content
GET
Retrieve a widget

Authorizations

X-BRONTO-API-KEY
string
header
required

Path Parameters

id
string<uuid>
required

Widget ID

Response

Widget successfully retrieved

A widget. A group widget contains other widgets (widget_ids, positioned by layout); every other widget type gets its data from sources. A widget never has both sources and widget_ids.

id
string<uuid>
required
name
string
required

The name of the Widget.

Example:

"5xx errors by service"

type
enum<string>
required

The type of the Widget.

Available options:
area,
bar,
donut,
events-list,
geomap,
group,
line,
pie,
score,
table,
top-list,
treemap
sources
object[]
required

The metrics, monitors and SLOs that supply data to the widget, in display order. Empty for group widgets.

Example:
aux
object
required

Additional widget configuration

description
string

A description of the widget

Example:

"This widget shows the 5xx errors by service"

metric_ids
string<uuid>[]
deprecated

Deprecated on 2026-10-12 and will be removed on 2027-10-12: use sources. Contains only the IDs of sources entries whose type is metric.

widget_ids
string<uuid>[]

The child widget IDs of a group widget. Empty for all other widget types.

metric_labels
object

Display labels for the widget's metrics, keyed by metric ID

layout
object

The positions of the child widgets of a group widget, keyed by child widget ID. widget_layouts is empty for all other widget types.

Example:
tags
object

A map of key value pairs associated with the resource

Example:
template
object
metadata
object

Common metadata attached to all persisted resources.